kradioripper is now kstreamripper

Bug #791785 reported by Lukas Sommer on 2011-06-02
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kradioripper (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: kradioripper

Hello.

I'm the developer of KRadioRipper.

You have packaged for Ubuntu the version 0.6.x of KRadioRipper. This version is far outdated.

The package has been renamed to KStreamRipper (http://kde-apps.org/content/show.php/KStreamRipper?content=78068) and is available as 0.7.74 since various months.

Please update the package.

I've recieving an increasing number (1 per week) of crash reports for 0.6. All these crashes are fixed in 0.7.74!

Regards.

Lukas Sommer

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kradioripper (Ubuntu):
status: New → Confirmed

This is _still_ a problem in the current Precise beta that's about to go LTS.

I tested on multiple systems, and KRadioRipper crashed on startup on *all* of them.

------
[xcb] Unknown request in queue while dequeuing
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
kradioripper: ../../src/xcb_io.c:178: dequeue_pending_request: Assertion `!xcb_xlib_unknown_req_in_deq' failed.
------

I downloaded and compiled the source for the latest version (KStreamRipper) 0.7.100 from the link Lukas provided above, and it works *perfectly* on all of my Precise machines.

Whether or not KStreamRipper is packaged and made available in the repos, KRadioRipper needs to be removed because it plain doesn't work and should not be part of a LTS release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers